Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.ide.idea.model
[Groovy] Class FilePath

    java.lang.Object
      org.gradle.plugins.ide.idea.model.Path
          org.gradle.plugins.ide.idea.model.FilePath

    class FilePath
    extends Path

A Path that keeps the reference to the File

Property Summary
`File` | `file` file

Constructor Summary
`FilePath(File file, String url, String canonicalUrl, String relPath)`

Method Summary

Methods inherited from class Path
equals, hashCode, toString

Property Detail

### file

    final File file

  file

Constructor Detail

### FilePath

    FilePath(File file, String url, String canonicalUrl, String relPath)

Gradle API 1.10